idok-commit AT lists.psi.ch
Subject: Commit emails of the iDok project
List archive
- From: "Apache" <apache AT savannah.psi.ch>
- To: idok-commit AT lists.psi.ch
- Subject: [idok-commit] idok commit r104 - trunk/scripts/admin/test_server
- Date: Fri, 16 May 2008 09:28:24 +0200
- List-archive: <https://lists.web.psi.ch/pipermail/idok-commit/>
- List-id: Commit emails of the iDok project <idok-commit.lists.psi.ch>
Author: huebner AT PSI.CH
Date: Fri May 16 09:28:23 2008
New Revision: 104
Log:
Startup script for the Open Office Server Daemon
Added:
trunk/scripts/admin/test_server/oodaemon.sh (contents, props changed)
Added: trunk/scripts/admin/test_server/oodaemon.sh
==============================================================================
--- (empty file)
+++ trunk/scripts/admin/test_server/oodaemon.sh Fri May 16 09:28:23 2008
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+start() {
+ cd /home/oodaemon/ood/scripts
+ sudo -u oodaemon nohup ./DaemonDebug.sh > output.file &
+
+}
+stop() {
+ cd /home/oodaemon/ood/scripts
+ sudo -u oodaemon nohup ./AdminStop.sh
+ sudo -u oodaemon nohup ./killAllOpenOffice.sh
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ *)
+ echo $"Usage: $prog {start|stop}"
+ exit 1
+esac
+
+exit $RETVAL
- [idok-commit] idok commit r104 - trunk/scripts/admin/test_server, Apache, 05/16/2008
Archive powered by MHonArc 2.6.19.